# $Revision: 1.16 $, $Date: 2010/03/01 21:40:08 $
# TODO: optflags
Summary:	Ruby FastCGI Library
Summary(pl.UTF-8):	Biblioteka FastCGI dla języka Ruby
Name:		ruby-fcgi
Version:	0.8.7
Release:	2
License:	GPL
Group:		Development/Libraries
Source0:	http://www.moonwolf.com/ruby/archive/%{name}-%{version}.tar.gz
# Source0-md5:	fe4d4a019785e8108668a3e81a5df5e1
Patch0:		%{name}-ruby1.9.patch
URL:		http://sugi.nemui.org/prod/ruby-fcgi/
BuildRequires:	fcgi-devel
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel >= 1:1.8.4
Obsoletes:	ruby-fcgi-minero
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ruby FastCGI Library.

%description -l pl.UTF-8
Biblioteka FastCGI dla języka Ruby.

%package rdoc
Summary:	HTML documentation for %{name}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{name}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{name}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{name}.

%package ri
Summary:	ri documentation for %{name}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{name}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{name}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{name}.

%prep
%setup -q
%patch0 -p1

%build
ruby install.rb config \
	--site-ruby=%{ruby_rubylibdir} \
	--so-dir=%{ruby_archdir}

ruby install.rb setup

rdoc --ri --op ri lib ext
rdoc --op rdoc lib ext
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

ruby install.rb install \
	--prefix=$RPM_BUILD_ROOT

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{ruby_rubylibdir}/fcgi.rb
%attr(755,root,root) %{ruby_archdir}/fcgi.so

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/FCGI

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-fcgi.spec,v $
Revision 1.16  2010/03/01 21:40:08  baggins
- rel 2
- make it build and work with ruby 1.9
- added rdoc and ri packages

Revision 1.15  2007/06/15 21:13:39  aredridel
- 0.8.7

Revision 1.14  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.12  2006/01/01 12:10:09  twittner
- added BR: ruby-devel >= 1:1.8.4-5 (ruby with ruby-mkfm-shared.patch)
- rel.3, STBR

Revision 1.11  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.10  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.9  2005/12/28 23:37:58  aredridel
- added eagain patch

Revision 1.8  2005/12/27 09:37:31  twittner
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

Revision 1.7  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.6  2005/09/05 03:27:35  aredridel
- up to 0.8.6

Revision 1.5  2005/03/23 17:47:41  aredridel
- add rdocs
- fix memory leak
- rel 2

Revision 1.4  2005/03/03 22:48:02  aredridel
- patch to fix crash when unexpectedly disconnected
- STBR

Revision 1.3  2004/12/31 08:45:05  qboosh
- no longer noarch

Revision 1.2  2004/12/31 08:22:09  aredridel
- added binary module
- BR: fcgi-devel

Revision 1.1  2004/11/09 19:39:59  aredridel
- re-added
- version 0.8.5, merges in Minero Aoki's version

Revision 1.3  2004/04/10 10:25:22  qboosh
- cleanups, pl

Revision 1.2  2003/12/21 22:13:19  aredridel
- added BR: ruby

Revision 1.1  2003/12/21 22:12:50  aredridel
- initial commit
